# Update File Meta Bulk

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Update File Meta Bulk"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/api/v1/workspaces/{workspace_name}/files/update-meta"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Updates the metadata of the files and of the documents created from these files. You can modify existing metadata or add new ones. If you send a new metadata dictionary, it's merged with the existing dictionary. To change the value of an existing key, pass this key with the new value. To add a new key:value pair, simply pass it in the request. It will add the new metadata and keep the existing ones. To delete a key:value pair, pass the key with `None` as value, for example: "author":"None". (But to fully delete all metadata, upload the file again.)

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"additionalProperties":{"additionalProperties":true,"title":"Metadata of file","type":"object"},"propertyNames":{"format":"uuid","title":"File ID","type":"string"},"title":"Bulk file metadata update request","type":"object"}}},"required":true}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"failed_count":{"description":"The number of files that failed to update.","title":"Failed file count","type":"integer"},"failed_files":{"description":"The files that failed to update.","items":{"properties":{"error_message":{"description":"The error message.","title":"Error message","type":"string"},"error_type":{"description":"The type of error that occurred.","title":"Error type","type":"string"},"file_id":{"description":"Unique identifier of a file.","format":"uuid","title":"File ID","type":"string"}},"required":["file_id","error_type","error_message"],"title":"FileUpdateError","type":"object"},"title":"Failed files","type":"array"},"updated_count":{"description":"The number of files that were updated.","title":"Updated file count","type":"integer"}},"required":["updated_count","failed_count","failed_files"],"title":"UpdateFileMetaBulkResponse","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
